astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- MAST Queries (`astroquery.mast`) »
- Conf

# Conf

class astroquery.mast.Conf

  Bases: `ConfigNamespace`

  Configuration parameters for `astroquery.mast`.

  Attributes Summary

  `catalogs_server` | Catalogs.MAST server.
  `pagesize` | Number of results to request at once from the STScI server.
  `server` | Name of the MAST server.
  `ssoserver` | MAST SSO Portal server.
  `timeout` | Time limit for requests from the STScI server.

  Methods Summary

  `help`([name]) | Print info about configuration items.
  `items`() | Iterate over configuration item `(name, value)` pairs.
  `keys`() |
  `reload`([attr]) | Reload a configuration item from the configuration file.
  `reset`([attr]) | Reset a configuration item to its default.
  `set_temp`(attr, value) | Temporarily set a configuration value.
  `values`() | Iterate over configuration item values.

  Attributes Documentation

  catalogs_server

    Catalogs.MAST server.

  pagesize

    Number of results to request at once from the STScI server.

  server

    Name of the MAST server.

  ssoserver

    MAST SSO Portal server.

  timeout

    Time limit for requests from the STScI server.

  Methods Documentation

  help(name: str | None = None) → None

    Print info about configuration items.

    Parameters:
      name `str`, optional

        Name of the configuration item to be described. If no name is provided then info about all the configuration items will be printed.

    Raises:
      KeyError

        If name is not a valid configuration item.

      RuntimeError

        If called within a python runtime running with optimization level >= 2 (-OO CLI flag).

    Examples

        >>> from astropy import conf
        >>> conf.help("unicode_output")
        ConfigItem: unicode_output
          cfgtype='boolean'
          defaultvalue=False
          description='When True, use Unicode characters when outputting values, and displaying widgets at the console.'
          module=astropy
          value=False

  items() → Generator[tuple[str, ConfigItem], None, None]

    Iterate over configuration item `(name, value)` pairs.

  keys() → Generator[str, None, None]
  reload(attr=None)

    Reload a configuration item from the configuration file.

    Parameters:
      attr str, optional

        The name of the configuration parameter to reload. If not provided, reload all configuration parameters.

  reset(attr: str | None = None) → None

    Reset a configuration item to its default.

    Parameters:
      attr str, optional

        The name of the configuration parameter to reload. If not provided, reset all configuration parameters.

  set_temp(attr, value)

    Temporarily set a configuration value.

    Parameters:
      attr str

        Configuration item name

      value object

        The value to set temporarily.

    Examples

        >>> import astropy
        >>> with astropy.conf.set_temp('use_color', False):
        ...     pass
        ...     # console output will not contain color
        >>> # console output contains color again...

  values() → Generator[ConfigItem, None, None]

    Iterate over configuration item values.